[arch-commits] Commit in sim/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Apr 18 02:25:11 EDT 2009


    Date: Saturday, April 18, 2009 @ 02:25:11
  Author: eric
Revision: 35906

Merged revisions 35894 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/sim/trunk

........
  r35894 | eric | 2009-04-18 01:54:40 -0400 (Sat, 18 Apr 2009) | 2 lines
  
  upgpkg: sim 0.9.4.3-3
      Added license, Added missing icon
........

Added:
  sim/repos/extra-i686/licq.png
    (from rev 35894, sim/trunk/licq.png)
Modified:
  sim/repos/extra-i686/	(properties)
  sim/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)


Property changes on: sim/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /sim/trunk:1-6739
   + /sim/trunk:1-35905

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-18 06:22:33 UTC (rev 35905)
+++ extra-i686/PKGBUILD	2009-04-18 06:25:11 UTC (rev 35906)
@@ -3,23 +3,23 @@
 
 pkgname=sim
 pkgver=0.9.4.3
-pkgrel=2
-depends=('kdelibs3' 'libxss' 'libtool' )
-makedepends=('zip')
+pkgrel=3
 pkgdesc="SIM (Simple Instant Messenger) - plugins-based instant messenger with support various protocols"
 arch=(i686 x86_64)
+url="http://sim-im.org/"
+license=('GPL')
+depends=('kdelibs3' 'libxss' 'libtool')
+makedepends=('zip')
 options=('!makeflags')
-source=(http://download.berlios.de/sim-im/$pkgname-$pkgver.tar.gz)
-url="http://sim-im.org/"
-md5sums=('b9c5d0fe73b22642ac7695c23e7b26c1')
+source=(http://download.berlios.de/sim-im/$pkgname-$pkgver.tar.gz licq.png)
+md5sums=('b9c5d0fe73b22642ac7695c23e7b26c1' '3c26e94392bcc99a158ec5ed82193890')
 
 build()        {
-	cd $startdir/src/$pkgname-$pkgver
+	cd $srcdir/$pkgname-$pkgver
 	. /etc/profile.d/qt3.sh
 	. /etc/profile.d/kde3.sh
-        ./configure --prefix=/opt/kde --disable-debug --without-arts 
+        ./configure --prefix=/opt/kde --disable-debug --without-arts  || return 1
         make || return 1
-        make DESTDIR=$startdir/pkg install
-	#to avoid conflict with kdenetwork
-	rm $startdir/pkg/opt/kde/share/mimelnk/application/x-icq.desktop
+        make DESTDIR=$pkgdir install || return 1
+	install -D -m644 $srcdir/licq.png $pkgdir/opt/kde/share/icons/crystalsvg/16x16/apps/licq.png
 }

Copied: sim/repos/extra-i686/licq.png (from rev 35894, sim/trunk/licq.png)
===================================================================
(Binary files differ)



More information about the arch-commits mailing list